# Generated from nines-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name nines

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Simple server monitoring tool written in pure Ruby
License: MIT
URL: https://github.com/anamba/nines
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.8.11
BuildRequires: ruby >= 1.9.3
BuildArch: noarch

%description
Nines is a simple server monitoring tool written in Ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/nines
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rvmrc
%license %{gem_instdir}/MIT-LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/install.rb
%{gem_libdir}
%{gem_instdir}/log
%{gem_instdir}/nines.rb.sample
%{gem_instdir}/nines.yml.sample
%{gem_instdir}/tmp
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/doc
%{gem_instdir}/nines.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.1-1
- Initial package
